Hi Norbert,
> [EMAIL PROTECTED](dev):/traffic/bin# /etc/init.d/flow-capture restart
> Stopping flow-capture: flow-capture.
> Sorry, flow-capture is already running.
>
> I have configured 8 flow-capture processes in flow-capture.conf, looks
> like it takes a while to stop all of them.
>
Could you please try this patch and see if it makes a difference?
--- flow-tools.flow-capture.init.old 2007-01-12 15:37:31.982356750 +0200
+++ flow-tools.flow-capture.init 2007-01-12 15:37:48.759405250 +0200
@@ -25,10 +25,10 @@
test -f $DAEMON || exit 0
test -f $CONFIG || exit 0
-pid=`pidof $DAEMON` || true
-
case "$1" in
start)
+ pid=`pidof $DAEMON` || true
+
if [ "$pid" ]; then
echo "Sorry, flow-capture is already running."
exit 0
Thanks,
Radu Spineanu
--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]